## com.thingmagic
Class TagReadData

    java.lang.Object
      com.thingmagic.TagReadData

    public class TagReadData

extends java.lang.Object

A class to represent a read of an RFID tag. Provides access to the tag structure and the metadata of the read event, such as the time of the read, the antenna that read the tag, and the number of times the tag was seen by the air protocol.

Nested Class Summary
`static class` `TagReadData.TagMetadataFlag` Flags that indicate the metadata stored in this structure

Field Summary
`java.util.Set<TagReadData.TagMetadataFlag>` `metadataFlags`
`com.thingmagic.ProtocolTagReadData` `prd` An abstract class which can be extended for specific protocol.

Method Summary
`java.lang.String` `epcString()` Returns a hexadecimal string version of the read tag's EPC.
`int` `getAntenna()` Return the identity of the antenna on the reader that read the tag.
`byte[]` `getData()` Return the data read from the tag.
`byte[]` `getEPCMemData()`
`int` `getFrequency()` Return the frequency at which the tag was read
`Reader.GpioPin[]` `getGpio()`
`int` `getPhase()` Return the phase the tag is in
`int` `getReadCount()` Return the number of times the tag was read during the operation.
`Reader` `getReader()` return the reader instance
`byte[]` `getReservedMemData()`
`int` `getRssi()` Return the returned signal strength of the tag read.
`TagData` `getTag()` Return the tag that was read.
`byte[]` `getTIDMemData()`
`long` `getTime()` Return the time at which the tag was read.
`byte[]` `getUserMemData()`
`java.lang.String` `toString()` Returns a `String` object representing this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### prd

    public com.thingmagic.ProtocolTagReadData prd

  An abstract class which can be extended for specific protocol. Currently Gen2TagReadData for Gen2 protocol

### metadataFlags

    public java.util.Set<TagReadData.TagMetadataFlag> metadataFlags

Method Detail

### getTag

    public TagData getTag()

  Return the tag that was read.

  Returns:
    the tag

### epcString

    public java.lang.String epcString()

  Returns a hexadecimal string version of the read tag's EPC.

  Returns:
    a string representation of the EPC.

### getAntenna

    public int getAntenna()

  Return the identity of the antenna on the reader that read the tag.

  Returns:
    the antenna number

### getRssi

    public int getRssi()

  Return the returned signal strength of the tag read.

  Returns:
    the rssi value. See /reader/tagReadData/returnRssiInDbm for information about units.

### getFrequency

    public int getFrequency()

  Return the frequency at which the tag was read

  Returns:
    the frequency, in kHz

### getReadCount

    public int getReadCount()

  Return the number of times the tag was read during the operation.

  Returns:
    the number of reads

### getTime

    public long getTime()

  Return the time at which the tag was read.

  Returns:
    the time, in milliseconds since the epoch

### getData

    public byte[] getData()

  Return the data read from the tag.

### getEPCMemData

    public byte[] getEPCMemData()

### getReservedMemData

    public byte[] getReservedMemData()

### getUserMemData

    public byte[] getUserMemData()

### getTIDMemData

    public byte[] getTIDMemData()

### getGpio

    public Reader.GpioPin[] getGpio()

### getPhase

    public int getPhase()

  Return the phase the tag is in

  Returns:
    the phase

### getReader

    public Reader getReader()

  return the reader instance

  Returns:
    the reader

### toString

    public java.lang.String toString()

  Returns a `String` object representing this object. The string contains a whitespace-delimited set of field:value pairs representing the tag ID and metadata.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the representation string